% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/int.break.R
\name{int.break}
\alias{int.break}
\title{breaks obtention}
\usage{
int.break(XY, int = NULL, smin = 0, smax = NULL, seqvec = NULL,
  nclass = NULL, size = NULL, bin = c("FD", "sturges"), latlon = FALSE)
}
\arguments{
\item{XY}{data frame or matrix with individual's position.}

\item{int}{Distance interval in the units of the @XY slot data.}

\item{smin}{Minimum class distance in the units of the @XY slot data.}

\item{smax}{Maximum class distance in the units of the @XY slot data.}

\item{seqvec}{Vector with breaks in the units of the @XY slot data.}

\item{nclass}{Number of classes.}

\item{size}{Number of individuals per class.}

\item{bin}{Rule for constructing intervals when a partition parameter (int, 
nclass or size) is not given. Default is Sturge's rule (Sturges, 1926). Other
option is Freedman-Diaconis method (Freedman and Diaconis, 1981).}

\item{latlon}{Are the coordinates in decimal degrees format? Defalut FALSE. If TRUE,
the coordinates must be in a matrix/data frame with the longitude in the first
column and latitude in the second. The position is projected onto a plane in
meters with the function \code{\link[SoDA]{geoXY}}.}

\item{kmax}{Number of nearest neighbors.}
}
\description{
breaks obtention
}
\author{
Leandro Roser \email{leandroroser@ege.fcen.uba.ar}
}
\keyword{internal}
